Bug 92837 - Documentation doesn't explain why opening a ODS file asks to update external links even if in the options is marked as 'always update' - hint in comment #33
Summary: Documentation doesn't explain why opening a ODS file asks to update external ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:5.4.0
Keywords: preBibisect, regression
: 95598 106907 (view as bug list)
Depends on:
Blocks: HelpGaps
  Show dependency treegraph
 
Reported: 2015-07-20 06:47 UTC by Roberto
Modified: 2017-07-23 07:51 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheat that is target (7.91 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2015-10-30 16:47 UTC, Cor Nouws
Details
spreadsheat that is source (8.00 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2015-10-30 16:48 UTC, Cor Nouws
Details
Load file, will take information in the other file (8.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-10-30 17:03 UTC, Roberto
Details
file containing the updated info (8.11 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-10-30 17:05 UTC, Roberto
Details
Image of the help page patch submitted (57.83 KB, image/png)
2017-05-04 15:18 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roberto 2015-07-20 06:47:37 UTC
Opening a ODS file asks to update external links even if in the options is marked as "always update"
Comment 1 m.a.riosv 2015-07-20 21:38:07 UTC
Hi @Roberto, thanks for reporting.

Confirmed.
Win7x64
Version: 5.0.0.1.0+ (x64) Build ID: df06ddf79cf0b5aca037630504a07dd8b2341a43
TinderBox: Win-x86_64@62-TDF, Branch:libreoffice-5-0, Time: 2015-07-17_18:17:03
Comment 2 surbun 2015-07-27 06:00:41 UTC
Hello,

I confirm this bug since the RC2 version. It's still there in the RC3 version.

Cheer
Bunty

UBUNTU 15.04 x64
Comment 3 Cor Nouws 2015-10-09 13:31:05 UTC
No problem in 5.0.2.2 on Ubuntu 32 bits.
Possibly resolved for the others too? If so set to WorksForMe please.
thanks
Comment 4 Cor Nouws 2015-10-09 14:01:02 UTC
(In reply to Cor Nouws from comment #3)
> No problem in 5.0.2.2 on Ubuntu 32 bits.
> Possibly resolved for the others too? If so set to WorksForMe please.
> thanks

I looked wrong: it does always update, independent of the setting :\

If you confirm this, please set to 'highest'
Comment 5 raal 2015-10-21 15:32:21 UTC
Please could you attach test file?
Comment 6 Markus Mohrhard 2015-10-23 14:05:52 UTC
Missing test file.
Comment 7 Cor Nouws 2015-10-30 16:47:58 UTC
Created attachment 120112 [details]
spreadsheat that is target
Comment 8 Cor Nouws 2015-10-30 16:48:21 UTC
Created attachment 120113 [details]
spreadsheat that is source
Comment 9 Roberto 2015-10-30 17:03:31 UTC
Created attachment 120114 [details]
Load file, will take information in the other file

Load file, will take information in the other file
Comment 10 Roberto 2015-10-30 17:05:52 UTC
Created attachment 120115 [details]
file containing the updated info

file containing the updated info:

if the auto-update will work you'll see 10000, else 1

i keep asking the request "do you want to update the remore link?" even if i choose "always update" in the option. The option "never update" works (no request when you load the file)
Comment 11 Cor Nouws 2015-11-01 19:36:43 UTC
(In reply to Roberto from comment #10)

> i keep asking the request "do you want to update the remore link?" even if i
> choose "always update" in the option. The option "never update" works (no
> request when you load the file)

It does not ask, correct. But for me, it always updates. See comment #4
Comment 12 raal 2015-11-05 19:46:21 UTC
*** Bug 95598 has been marked as a duplicate of this bug. ***
Comment 13 Manuel Senfft 2015-12-03 09:57:45 UTC
Having the same issue in version 5.0.3.2 on linux mint 17.2 64 bit.
Comment 14 Cor Nouws 2015-12-03 11:16:28 UTC
(In reply to Manuel Senfft from comment #13)
> Having the same issue in version 5.0.3.2 on linux mint 17.2 64 bit.

Thanks for confirming, Manual.
May I ask: if you changed the version field, was there a message/warning on how to handle that? You should have been informed that the field shows the first affected version. So I'm curious if that information works well at your side.
Thanks,
Cor
Comment 15 Manuel Senfft 2015-12-04 09:23:19 UTC
(In reply to Cor Nouws from comment #14)
> (In reply to Manuel Senfft from comment #13)
> > Having the same issue in version 5.0.3.2 on linux mint 17.2 64 bit.
> 
> Thanks for confirming, Manual.
> May I ask: if you changed the version field, was there a message/warning on
> how to handle that? You should have been informed that the field shows the
> first affected version. So I'm curious if that information works well at
> your side.
> Thanks,
> Cor

Hi Cor,

a big sorry for this mistake. I am new to this bug system. I did not get a warning/message though.

According to "the field shows the first affected version": in this case I could change the field to version 4.2.8.2, since I had this issue in this version already. Then I upgraded to 4.4 and still had the issues. Finally upgraded to 5.0.3.2 --> still the same issue.

Best,
Manu
Comment 16 Robinson Tryon (qubit) 2015-12-14 05:32:46 UTC Comment hidden (obsolete)
Comment 17 Joel Madero 2015-12-14 20:48:37 UTC
I opened "Load.ods" with 3.3 and I saw the same issue.


Is this really a regression? What version works? If it's not a regression please remove bibisectRequest and set version to inheritedFromOOo.
Comment 18 Cor Nouws 2015-12-15 08:18:16 UTC
(In reply to Joel Madero from comment #17)
> I opened "Load.ods" with 3.3 and I saw the same issue.


What settings exactly did you try and what was the result?
On Linux or Windows?

If I
1- make sure that "Asks to update external links" is turned ON
2- then open Link_Target.ods and Link_Source.ods and copy a link from souceB5 to
  target B5 
  {='file:///home/cono/Documenten/DATA/LO_QA/92837_Link_Source.ods'#$Blad1.B5}
  (apparently the file I uploaded is not ok?!)
3- save and close both files
4- open Link_Source.ods and change "first" in "foo",
5- then open Link_Target.ods in 3.3.0
  > LibreOffice asks AND shows "first"

6- if I open Link_Target.ods in a recent version
  > LibreOffice asks AND shows "foo"

7- then if I close Link_Target.ods again without saving/changing
  (so you would think the cell contains "foo"
  and reopen it in 3.3.0. ...
  > LibreOffice 3.3.0 asks AND still shows "first" !!

So a recent version updates, also if you give No, it does update but does not make the file changed setting active.

Even more weird/worse: if after several times opening in 3.3.0 I open the file again in a recent version (daily 20151210 in this case) the file starts to behave properly....

Downloading the files again, the story starts again..
Comment 19 surbun 2015-12-25 10:44:24 UTC
Hello,

Bug still there in the 5.1.0.1 Version. I've the official version on another laptop under Ubuntu 15.10 x64 and the bug is yet still there.

Hope that this can help.

Cheer

Bunty
Comment 20 vlb 2016-01-02 18:16:54 UTC
I can confirm this issue on LO 5.04.2 (x64) windows 10.
Comment 21 vlb 2016-01-02 18:51:40 UTC
LO 4.4.2.1 isn't the issue pressent and is oke by wi 10 64 bits

The parallel installing unther wi10 didn't works commando "msiexec /a".
It isn't recogniziged.
Is there something changed?
Comment 22 Cor Nouws 2016-01-02 20:33:17 UTC
Hi Frank,

(In reply to vlb from comment #21)
> LO 4.4.2.1 isn't the issue pressent and is oke by wi 10 64 bits

Thanks for confirming!

> The parallel installing unther wi10 didn't works commando "msiexec /a".
> It isn't recogniziged.
> Is there something changed?

I see you asked the same question on the users list. That is a good place to do that. If you start asking about/discussing a different subject in an issue in BugZilla, if becomes a bit messy and life for all of us harder :)
Ciao - Cor
Comment 23 vlb 2016-01-03 00:01:42 UTC
(In reply to vlb from comment #21)
> LO 4.4.2.1 isn't the issue pressent and is oke by wi 10 64 bits

in LO 4.4.7.2 is the issue pressent
Comment 24 Markus Mohrhard 2016-04-12 13:28:16 UTC
Can someone please post detailed steps how to reproduce that. Remember that developers are stupid users and I have often no idea what you are talking about.

Also it seems like we have two bugs here if I understand at least some of the comments correctly. It would be good to clarify that.
Comment 25 Roberto 2016-04-12 15:02:32 UTC
(In reply to Markus Mohrhard from comment #24)
> Can someone please post detailed steps how to reproduce that. Remember that
> developers are stupid users and I have often no idea what you are talking
> about.
> 
> Also it seems like we have two bugs here if I understand at least some of
> the comments correctly. It would be good to clarify that.


1- download "load.ods" and "remote.ods" linked as attachments (should be 3rd and 4th file, uploaded by "Roberto") and save them in the same folder.

2- make sure that "Asks to update external links" is set to "always update" in the options (alternatively try to set it to "never" or "ask each time")

3- Open file "load.ods" and check if the behavior of point 2 is correct:
   If the external link is updated you'll see "10000", if it's not updated you'll see "1" in cell I15.


In my case i set to "always update" but every time i get a popup asking if i want to update external links.
Some other users are reporting the opposite: they set it to never and they always get the file updated. 

I'm on Windows 10, bug from version 4.2 and up (including recent 4.4 and 5.1). Tried on Windows 7 and version 4.3 and it works correctly.
Comment 26 Gabriel 2016-08-24 08:41:32 UTC
Hello, i confirm this bug on LibreOffice 5.0.6.3 / Win7.
Comment 27 Gabriel 2016-08-24 08:44:46 UTC Comment hidden (obsolete)
Comment 28 Cor Nouws 2016-08-24 09:08:03 UTC
Thanks for confirming Gabriel.

Mind: the version field must show the oldest version known to have the bug..
(You should have seen a pop up explaining that?)

Ciao - Cor
Comment 29 Xisco Faulí 2016-09-13 14:30:00 UTC
As per today, this regression can't be bibisected as it was introduced before 4.4 branch and there's no bibisect repository for the affected branch, thus change 'bibisectRequest' to 'preBibisect'
Comment 30 Markus Mohrhard 2016-10-01 17:44:47 UTC
This is the result of a new security feature. I think it was a bit too aggressive but need input from sberg who added that code.
Comment 31 Stephan Bergmann 2016-10-04 09:49:00 UTC
(In reply to Markus Mohrhard from comment #30)
> This is the result of a new security feature.

I assume Markus means <https://cgit.freedesktop.org/libreoffice/core/commit/?id=77cc71476bae2b3655102e2c29d36af40a393201> "LinkUpdateMode is a global setting" for <http://www.libreoffice.org/about-us/security/advisories/cve-2015-4551/> "CVE-2015-4551 Arbitrary file disclosure in Calc and Writer".

What is missing from that security fix is a documentation update:

* For one, any "always update links" settings stored in documents themselves (in contrast to Writer's "Tools - Options... - LibreOffice Writer - General - Update Links when Loading" and Calc's "Tools - Options... - LibreOffice Calc - General - Updating - Update links when opening") are ignored when loading.  (I think that's irrelevant for this issue.)

* For another, the setting "always" of the Writer/Calc option mentioned above is treated as "on request" unless either "Tools - Options... - LibreOffice - Security - Macro Security... - Security Level - Low (not recommended)" is selected or the document matches any of the "Tools - Options... - LibreOffice - Security - Macro Security... - Trusted Sources - Trusted File Locations."

I think the recipe from comment 25 works according to the above specification, so the original issue would be resolved as NOTABUG, and this bug can be kept open to update the documentation.


@Cor: You changed the summary from "Opening a ODS file asks to update external links even if in the options is marked as 'always update'" to "Opening ODS file asks to update external links even if option is set to 'always update'; and independent of that: just always updates.."  That would mean that it updates even if you answer the "This file contains links to other files. Should they be updated?" dialog with "No".  Can you confirm that?  (I cannot, at least with a current master build.)
Comment 32 Cor Nouws 2016-10-04 11:04:58 UTC
(In reply to Stephan Bergmann from comment #31)
> @Cor: You changed the summary from "Opening a ODS file asks to update
> external links even if in the options is marked as 'always update'" to
> "Opening ODS file asks to update external links even if option is set to
> 'always update'; and independent of that: just always updates.."  That would
> mean that it updates even if you answer the "This file contains links to
> other files. Should they be updated?" dialog with "No".

Indeed. That is what I found several times.

> Can you confirm that?  (I cannot, at least with a current master build.)

Now nor on master, nor in 5.1.5.2, nor in 5.2.2.2 that problem exists.
Changing summary again.
Comment 33 Cor Nouws 2016-10-04 11:11:18 UTC
(In reply to Stephan Bergmann from comment #31)

> What is missing from that security fix is a documentation update:
> 
> * For one, any "always update links" settings stored in documents themselves
> (in contrast to Writer's "Tools - Options... - LibreOffice Writer - General
> - Update Links when Loading" and Calc's "Tools - Options... - LibreOffice
> Calc - General - Updating - Update links when opening") are ignored when
> loading.  (I think that's irrelevant for this issue.)
> 
> * For another, the setting "always" of the Writer/Calc option mentioned
> above is treated as "on request" unless either "Tools - Options... -
> LibreOffice - Security - Macro Security... - Security Level - Low (not
> recommended)" is selected or the document matches any of the "Tools -
> Options... - LibreOffice - Security - Macro Security... - Trusted Sources -
> Trusted File Locations."

thanks for the info & suggestion Stephan. Setting fields accordingly.
Comment 34 Olivier Hallot 2017-05-04 12:15:07 UTC
documenting
Comment 35 Olivier Hallot 2017-05-04 15:18:08 UTC
Created attachment 133074 [details]
Image of the help page patch submitted
Comment 36 Commit Notification 2017-05-05 07:24:40 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=071f8ffd4cf60831718cb9398bff889269284f8e

tdf#92837 Security and document link updates
Comment 37 Cor Nouws 2017-07-23 07:49:09 UTC
*** Bug 106907 has been marked as a duplicate of this bug. ***